Package org.gradle.api.tasks

## Class Upload

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.Upload

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class Upload
      extends org.gradle.api.internal.ConventionTask

  Uploads the artifacts of a `Configuration` to a set of repositories.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Upload()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getArtifacts()` | Returns the artifacts which will be uploaded.
    `Configuration` | `getConfiguration()` | Returns the configuration to upload.
    `java.io.File` | `getDescriptorDestination()` | Returns the path to generate the dependency descriptor to.
    `protected org.gradle.api.internal.artifacts.ArtifactPublicationServices` | `getPublicationServices()` |
    `RepositoryHandler` | `getRepositories()` | Returns the repositories to upload to.
    `boolean` | `isUploadDescriptor()` | Specifies whether the dependency descriptor should be uploaded.
    `RepositoryHandler` | `repositories​(Closure configureClosure)` | Configures the set of repositories to upload to.
    `RepositoryHandler` | `repositories​(Action<? super RepositoryHandler> configureAction)` | Configures the set of repositories to upload to.
    `void` | `setConfiguration​(Configuration configuration)` |
    `void` | `setDescriptorDestination​(java.io.File descriptorDestination)` |
    `void` | `setUploadDescriptor​(boolean uploadDescriptor)` |
    `protected void` | `upload()` |

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects, setLoggerMessageRewriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### Upload

          public Upload()

  - ### Method Detail

    - #### getPublicationServices

          @Inject
          protected org.gradle.api.internal.artifacts.ArtifactPublicationServices getPublicationServices()

    - #### upload

          protected void upload()

    - #### isUploadDescriptor

          @Input
          public boolean isUploadDescriptor()

      Specifies whether the dependency descriptor should be uploaded.

    - #### setUploadDescriptor

          public void setUploadDescriptor​(boolean uploadDescriptor)

    - #### getDescriptorDestination

          @Internal
          public java.io.File getDescriptorDestination()

      Returns the path to generate the dependency descriptor to.

    - #### setDescriptorDestination

          public void setDescriptorDestination​(java.io.File descriptorDestination)

    - #### getRepositories

          @Internal
          public RepositoryHandler getRepositories()

      Returns the repositories to upload to.

    - #### getConfiguration

          @Internal
          public Configuration getConfiguration()

      Returns the configuration to upload.

    - #### setConfiguration

          public void setConfiguration​(Configuration configuration)

    - #### repositories

          public RepositoryHandler repositories​(@Nullable
                                                Closure configureClosure)

      Configures the set of repositories to upload to.

    - #### repositories

          public RepositoryHandler repositories​(Action<? super RepositoryHandler> configureAction)

      Configures the set of repositories to upload to.
      Since:
        3.5

    - #### getArtifacts

          @PathSensitive(NAME_ONLY)
          @InputFiles
          public FileCollection getArtifacts()

      Returns the artifacts which will be uploaded.
      Returns:
        the artifacts.